﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class Class1 : ContentPage
    {
        SfChart chart = new SfChart();
        public static List<ChartDataPoint> points = new List<ChartDataPoint>();

        public Class1()
        {

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            ColumnSeries series = new ColumnSeries();

            ViewModel model = new ViewModel();

            series.SetBinding(ChartSeries.ItemsSourceProperty, new Binding("Data"));
            series.XBindingPath = "Month";
            series.YBindingPath = "Value";
            series.BindingContext = model;

            chart.Series.Add(series);
            Content = chart;
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<Model>();

            UpdateData();
        }

        public async void UpdateData()
        {
            await Task.Delay(2000);
            Data.Add(new Model("Jan", 25));
            UpdateData();
        }
    }

    public class Model
    {
        public String Month { get; set; }
        public double Value { get; set; }

        public Model(String month, double value)
        {
            Month = month;
            Value = value;
        }
    }
}
